MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0028215Open CASCADE[OCCT] OCCT:Visualizationpublic2016-12-13 12:262017-09-29 16:31
Reporterkgv 
Assigned Toapn 
PrioritynormalSeverityfeature 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.2.0Fixed in Version[OCCT] 7.2.0 
Summary0028215: Visualization - define EMPTY type line for consistenct with Interior Style
DescriptionThere is inconsistency between Fill Area aspects and Line Aspects - while Fill Area aspect defined empty type Aspect_IS_EMPTY (e.g. no faces), there is no such equivalent for Lines.

Such type might be useful in rare cases when specific arrays should be temporarily hidden (while preserving their presentation data).
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0061608)
git (administrator)
2016-12-13 12:42

Branch CR28215 has been created by kgv.

SHA-1: 10b400e4fee180d22b430e1383efa8b83e0fb0ee


Detailed log of new commits:

Author: kgv
Date: Tue Dec 13 12:36:41 2016 +0300

    0028215: Visualization - define EMPTY type line for consistenct with Interior Style
    
    Added new values Aspect_TOL_EMPTY (line type) and Aspect_TOM_EMPTY (marker type).
(0061609)
kgv (developer)
2016-12-13 12:42

Patch is ready for review.
(0061640)
san (developer)
2016-12-13 21:28

Branch CR28215 reviewed without remarks, ready for testing.
(0061687)
mkv (tester)
2016-12-15 12:06

Dear BugMaster,
Branch CR28215 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 10b400e4fee180d22b430e1383efa8b83e0fb0ee

Number of compiler warnings:

occt component :
Linux: 0 (0 on master)
Windows: 0 (0 on master)
MacOS : 0 (0 on master)

products component :
Linux: 63 (63 on master)
Windows: 0 (0 on master)
MacOS : 1139

Regressions/Differences/Improvements:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
occt component :
Total MEMORY difference: 92451401 / 92761416 [-0.33%]
Total CPU difference: 21449.600000000235 / 21420.040000000274 [+0.14%]
products component :
Total MEMORY difference: 30113367 / 30095445 [+0.06%]
Total CPU difference: 5335.949999999976 / 5303.47999999998 [+0.61%]

Testing on Windows:
occt component :
Total MEMORY difference: 58455356 / 58462136 [-0.01%]
Total CPU difference: 20101.430854498583 / 20176.91973839851 [-0.37%]
products component :
Total MEMORY difference: 20893072 / 20859840 [+0.16%]
Total CPU difference: 5299.587971499974 / 5125.865257899959 [+3.39%]

There are no differences in images found by testdiff.
(0061688)
mkv (tester)
2016-12-15 12:06

Dear BugMaster,
Branch CR28215 is TESTED.
(0061817)
git (administrator)
2016-12-18 10:53

Branch CR28215 has been deleted by kgv.

SHA-1: 10b400e4fee180d22b430e1383efa8b83e0fb0ee

- Related Changesets
occt: master 3a4a3962
Timestamp: 2016-12-13 09:36:41
Author: kgv
Committer: apn
Details ] Diff ]
0028215: Visualization - define EMPTY type line for consistenct with Interior Style

Added new values Aspect_TOL_EMPTY (line type) and Aspect_TOM_EMPTY (marker type).
mod - src/Aspect/Aspect_TypeOfLine.hxx Diff ] File ]
mod - src/Aspect/Aspect_TypeOfMarker.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_AspectMarker.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Context.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_PrimitiveArray.cxx Diff ] File ]
mod - src/ViewerTest/ViewerTest.cxx Diff ] File ]
mod - src/ViewerTest/ViewerTest.hxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_ObjectCommands.cxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_ViewerCommands.cxx Diff ] File ]
mod - src/XDEDRAW/XDEDRAW.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-12-13 12:26 kgv New Issue
2016-12-13 12:26 kgv Assigned To => kgv
2016-12-13 12:42 git Note Added: 0061608
2016-12-13 12:42 kgv Note Added: 0061609
2016-12-13 12:42 kgv Assigned To kgv => san
2016-12-13 12:42 kgv Status new => resolved
2016-12-13 21:28 san Note Added: 0061640
2016-12-13 21:28 san Assigned To san => bugmaster
2016-12-13 21:28 san Status resolved => reviewed
2016-12-14 10:57 mkv Assigned To bugmaster => mkv
2016-12-15 12:06 mkv Note Added: 0061687
2016-12-15 12:06 mkv Note Added: 0061688
2016-12-15 12:06 mkv Assigned To mkv => bugmaster
2016-12-15 12:06 mkv Status reviewed => tested
2016-12-15 12:06 mkv Test case number => Not needed
2016-12-16 16:34 apn Changeset attached => occt master 3a4a3962
2016-12-16 16:34 apn Assigned To bugmaster => apn
2016-12-16 16:34 apn Status tested => verified
2016-12-16 16:34 apn Resolution open => fixed
2016-12-18 10:53 git Note Added: 0061817
2017-09-29 16:21 user533 Fixed in Version => 7.2.0
2017-09-29 16:31 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker